<template>
  <ul class="menu-list">
    <li class="menu-header">Vorlesungsbeispiele</li>
    <li v-for="exercise in classExercisesList" class="menu-item" @click="switchExercise(exercise.id)">Aufgabe {{ exercise.shortId }}</li>
    <li class="menu-header">Übungsbeispiele</li>
    <li v-for="exercise in exerciseExercisesList" class="menu-item" @click="switchExercise(exercise.id)">Aufgabe {{ exercise.shortId }}</li>
    <li class="menu-header">Einstellungen</li>
    <li class="menu-header">Hilfe</li>
  </ul>
</template>

<script>
import {inject} from "vue";
import useExercises from "../composables/useExercises";

export default {
  name: "Menu",
  setup () {
    const { classExercisesList, exerciseExercisesList } = useExercises()

    const switchExercise = inject('switchExercise')

    return {
      classExercisesList,
      exerciseExercisesList,
      switchExercise
    }
  }
}
</script>
